.compare_container{
    max-width:100vw;
    width:100%;
    box-shadow: 0 4px 5px 0 rgba(0,0,0,.14), 0 1px 10px 0 rgba(0,0,0,.12), 0 2px 4px -1px rgba(0,0,0,.1);
    background: #fff;
    border-radius: 4px;
    padding: 40px 10px 40px 20px;
    max-height: 100vh;
    position: relative;
    font-size: 16px;
}

.compare_container .close{
    top:10px;
    right:10px;
    height:16px;
    width:16px;
}

.compare_list{
    overflow: auto;
    max-height: calc(100vh - 100px);
    padding-bottom: 20px;
}

.compare_del{
    background: #e4e4e4;
    border-radius: 100%;
    height: 16px;
    width: 16px;
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
}

.compare_del span{
    display: block;
    height: 100%;
    width: 100%;
    position: relative;
}

.compare_del span:after,
.compare_del span:before{
    height: 1px;
    background: #777;
    width: 50%;
    content: ' ';
    top: 7px;
    left: 4px;
    position: absolute;
    display: block;
}

.compare_del span:after{
    transform: rotate(45deg);
}
.compare_del span:before{
    transform: rotate(-45deg);
}

.table_compare{
    display:table;
    border-collapse: collapse;
}

.table_item{
    position:relative;
}

.table_item_container{
    display: grid;
    grid-template-columns: 60px 1fr;
    align-items: flex-start;
    width: 200px;
    grid-gap: 10px;
}

.table_item_img{
    
}

.table_item_img img{
    object-fit: contain;
    height: 100%;
    width: 100%;
}

.table_item_name{
    text-align: left;
}

.table_item_name .knopka{
    margin-top: 10px;
    padding: 5px 10px;
}

.table_item_price{
    font-weight:600;
    margin-top:10px;
}

.table_line {
    display: table-row;
}

.table_line>div{
    display:table-cell;
    vertical-align: middle;
    text-align: center;
    border-bottom:1px solid #ccc;
    border-right:1px solid #ccc;
    padding:10px;
    width: 240px;
}
.table_line>div:first-child{
    text-align:right;
    font-weight:600;
    width: 200px;
}

.table_types {
    display: contents;
}